|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QMetaProperty

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QMetaProperty class reference

### Public Functions

- bool isEditable ( const QObject * object = 0 ) const `(obsolete)`

## Member Function Documentation

### bool QMetaProperty::isEditable ( const QObject * object = 0 ) const

Returns true if the property is editable for the given object; otherwise returns false.

If no object is given, the function returns false if the `Q_PROPERTY()`'s `EDITABLE` attribute is false; otherwise returns true (if the attribute is true or is a function or expression).

See also isDesignable(), isScriptable(), and isStored().